#include "MenuTextSk3_Player1Joystick.h"

InputSetting_Joystick* MenuTextSk3_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextSk3_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_skill_3;
}

std::weak_ptr<Entity> MenuTextSk3_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextSk3_Player1Joystick()
{
	return std::make_shared<MenuTextSk3_Player1Joystick>();
}


